org.apache.solr.analysis

## Class MockTokenFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.solr.analysis.MockTokenFilterFactory

-     public class MockTokenFilterFactory
      extends org.apache.lucene.analysis.util.TokenFilterFactory

  Factory for `MockTokenFilter` for testing purposes.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockTokenFilterFactory(Map<String,String> args)` Creates a new MockTokenizerFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.analysis.MockTokenFilter` | `create(org.apache.lucene.analysis.TokenStream stream)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockTokenFilterFactory

          public MockTokenFilterFactory(Map<String,String> args)

      Creates a new MockTokenizerFactory

  - ### Method Detail

    - #### create

          public org.apache.lucene.analysis.MockTokenFilter create(org.apache.lucene.analysis.TokenStream stream)

      Specified by:
        `create` in class `org.apache.lucene.analysis.util.TokenFilterFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.